Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Index.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Index.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Index.cshtml	(revision 13733)
@@ -1,26 +1,41 @@
-﻿@model HeuristicLab.Clients.Hive.WebJobManager.ViewModels.JobViewModel
+﻿@using HeuristicLab.Clients.Hive.WebJobManager.ViewModels
+@model JobViewModel
 
 <div>
+    @Html.Partial("Navbar", new NavbarViewModel("Job"))
 
-    <ul class="nav nav-tabs">
-        <li role="presentation" class="active"><a asp-controller="Job" asp-action="Index">Jobs <span class="badge">@Model.userJobs.Count</span></a></li>
-        <li role="presentation"><a asp-controller="User" asp-action="Index">User management</a></li>
-        <li role="presentation"><a asp-controller="Resource" asp-action="Index">Resources</a></li>
+    <ul class="nav nav-pills nav-justified">
+        <li role="presentation"
+            class="active">
+            <a asp-controller="Job"
+               asp-action="Index">
+                Jobs
+            </a>
+        </li>
+        <li role="presentation"
+            class="">
+            <a asp-controller="Job"
+               asp-action="Uploads">
+                Uploads
+            </a>
+        </li>
     </ul>
-    <div class="row" style="text-align:center">
+
+    <div class="row"
+         style="text-align:center">
         @Model.message
     </div>
-    <div class="row" style="margin:10px">
-        <a class="btn btn-info btn-lg btn-block"
-           asp-controller="Job"
-           asp-action="Uploads">
-            Uploads
-        </a>
+    <div class="row"
+         style="margin:10px">
+
     </div>
-    <div class="row" style="padding:10px; margin-right:0px!important">
+    <div class="row"
+         style="padding:10px; margin-right:0px!important">
         @if (Model.userJobs.Count == 0)
-        {
+            {
             <div>
-                <p style="text-align:center">No jobs found</p>
+                <p style="text-align:center">
+                    No jobs found
+                </p>
             </div>
 
@@ -29,13 +44,26 @@
             <div class="col-sm-4">
                 <div class="btn-group-vertical btn-block">
+                    <a class="btn btn-info btn-lg btn-block disabled"
+                       style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;">
+                        <i class="fa fa-cog"></i> Hive jobs
+                    </a>
                     @foreach (var job in Model.userJobs)
                 {
-                        <a class="btn  btn-default @(Model.selectedJob != null && job.Id == Model.selectedJob.Id ? "active" : "" )"
+                        <a class="btn btn-default
+                           @(Model.selectedJob != null && job.Id == Model.selectedJob.Id ? "active" : "" )
+                           "
                            asp-controller="Job"
                            asp-action="Selected"
                            asp-route-id="@job.Id"
+                           style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                                text-align:left;"
                            onclick="showLoader()">
                             @job.Job.Name - @job.Job.DateCreated
-                            <span class="badge">@job.Job.JobCount</span>
+                            <span class="label
+                                   @(job.Job.FinishedCount == @job.Job.JobCount ? "label-success" : "label-default")
+                                   label-as-badge pull-right">
+                                <strong>@job.Job.FinishedCount / @job.Job.JobCount</strong>
+                            </span>
                         </a>
                     }
@@ -48,73 +76,105 @@
                 </i>
             </p>
-            @if (Model.selectedJob != null)
-            {
-                <div class="col-sm-8" id="content" style="padding:5px; padding-left:10px;">
-                    <div class="row">
-                        <h2 style="padding-left:20px">
-                            @Model.selectedJob.Job.Name
-                            <a onclick="popUpDelete()"
-                               style="margin-bottom:10px;"
-                               class='btn btn-danger'>
-                                <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
-                            </a>
-                            <a style="display:none"
-                               asp-action="Delete"
-                               asp-route-id="@Model.selectedJob.Id"
-                               asp-controller="Job" id="del"
-                               onclick="showDeleter()"></a>
 
-                            <script type="text/javascript">
-                                function popUpDelete() {
-                                    if (confirm("Are you sure you want to delete this job?") == true) {
-                                        document.getElementById("del").click();
-                                    }
+                <div class="col-sm-8"
+                     id="content"
+                     style="padding:5px; padding-left:10px;">
+                    @if (Model.selectedJob != null)
+                {
+                        <div class="panel panel-default"
+                             style="border-width:2px!important;padding:17px;
+                        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);">
+                            <div class="row">
+                                <h2 style="padding-left:20px">
+                                    @Model.selectedJob.Job.Name
+                                    <a onclick="popUpDelete()"
+                                       style="margin-bottom:10px; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                                    text-shadow:2px 2px black;"
+                                       class='btn btn-danger'>
+                                        <span class="glyphicon glyphicon-trash"
+                                              aria-hidden="true"></span>
+                                        Delete job
+                                    </a>
+                                    <a style="display:none; "
+                                       asp-action="Delete"
+                                       asp-route-id="@Model.selectedJob.Id"
+                                       asp-controller="Job" id="del"
+                                       onclick="showDeleter()"></a>
+
+                                    <script type="text/javascript">
+                                        function popUpDelete() {
+                                            if (confirm("Are you sure you want to delete this job?") == true) {
+                                                document.getElementById("del").click();
+                                            }
+
+                                        }
+                                    </script>
+
+                                </h2>
+                                <div class="col-sm-6" style="padding-left:30px">
+                                    <p>Description: @Model.selectedJob.Job.Description</p>
+                                    <p>Resources: @Model.selectedJob.Job.ResourceNames</p>
+                                    <p>Created: @Model.selectedJob.Job.DateCreated</p>
+                                    <p>Owned by: @Model.selectedJob.Job.OwnerUsername</p>
+
+                                </div>
+                                <div class="col-sm-6" style="padding-left:30px">
+                                    <p id="jobcalculating">
+                                        Calculating: @Model.selectedJob.Job.CalculatingCount
+                                    </p>
+                                    <p id="jobfinished">
+                                        Finished: @Model.selectedJob.Job.FinishedCount
+                                    </p>
+                                    <p>
+                                        Automatic refresh:
+                                        <input type="checkbox"
+                                               checked
+                                               data-toggle="toggle"
+                                               data-onstyle="success"
+                                               id="refreshtogg"
+                                               onchange="autoRefresh()" />
+                                    </p>
+                                </div>
+
+                            </div>
+
+                            <script src="~/js/scripts/graphs/graphdatacollector.js"></script>
+                            <script src="~/js/scripts/graphs/graphhubber.js"></script>
+                            <div class="row" style="text-align:center">
+
+                                <div id="graphMain" style="width:100%;height:0px">
+
+                                </div>
+                                <div class="btn btn-lg btn-info"
+                                     onclick="redrawMain()"
+                                     style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;">Refresh main graph</div>
+                            </div>
+                            <div class="row">
+                                <h3 style="padding-left:20px; ">
+                                    @Model.selectedJob.Job.JobCount Tasks
+                                </h3>
+                                @foreach (var task in Model.selectedJob.HiveTasks)
+                                {
+                                    @Html.Partial("SelectedJobPartials/_TaskPartial",
+                           new HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer(task))
 
                                 }
-                            </script>
+                            </div>
+                        </div>
+                    }
+                </div>
 
-                        </h2>
-                        <div class="col-sm-6" style="padding-left:30px">
-                            <p>Description: @Model.selectedJob.Job.Description</p>
-                            <p>Resources: @Model.selectedJob.Job.ResourceNames</p>
-                            <p>Created: @Model.selectedJob.Job.DateCreated</p>
-                            <p>Owned by: @Model.selectedJob.Job.OwnerUsername</p>
-
-                        </div>
-                        <div class="col-sm-6" style="padding-left:30px">
-                            <p>Calculating: @Model.selectedJob.Job.CalculatingCount</p>
-                            <p>Finished: @Model.selectedJob.Job.FinishedCount</p>
-                        </div>
-
-                    </div>
-
-                    <script src="~/js/scripts/graphs/graphdatacollector.js"></script>
-                    <script src="~/js/scripts/graphs/graphhubber.js"></script>
-                    <div class="row">
-                        <div class="btn btn-lg btn-info" onclick="redrawMain()">Refresh main graph</div>
-                        <div id="graphMain" style="width:100%;height:400px">
-
-                        </div>
-                    </div>
-                    <div class="row" >
-                        <h3 style="padding-left:20px; ">Tasks</h3>
-                        @foreach (var task in Model.selectedJob.HiveTasks)
-                        {
-                            @Html.Partial("SelectedJobPartials/_TaskPartial",
-                           new HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer(task))
-
-                        }
-                    </div>
-                </div>
-            }
         }
         <script type="text/javascript">
             function showLoader() {
+                document.getElementById("content").style.display = "none";
                 document.getElementById("loader").style.display = "";
-                document.getElementById("content").style.display = "none";
+
             }
             function showDeleter() {
+                document.getElementById("content").style.display = "none";
                 document.getElementById("loader").style.display = "";
-                document.getElementById("content").style.display = "none";
+
                 document.getElementById("spinner").className = "fa fa-trash-o fa-spin fa-5x";
             }
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFile.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFile.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFile.cshtml	(revision 13733)
@@ -1,27 +1,202 @@
 ﻿@model HeuristicLab.Clients.Hive.WebJobManager.ViewModels.FileOpeningViewModel
 
-<div>
-
-    <ul class="nav nav-tabs">
-        <li role="presentation" class="active"><a asp-controller="Job" asp-action="Uploads">Jobs -> Uploads -> @Model.SelectedTask.ItemTask.Name</a></li>
-        <li role="presentation"><a asp-controller="User" asp-action="Index">User management</a></li>
-        <li role="presentation"><a asp-controller="Resource" asp-action="Index">Resources</a></li>
+
+<body class="row"
+      data-spy="scroll"
+      data-target="#scrolly"
+      data-offset-top="500"
+      onscroll="showScrolly()"
+      style="margin-bottom:500px;margin-left:1px;margin-right:1px;">
+
+    @Html.Partial("Navbar", new HeuristicLab.Clients.Hive.WebJobManager.ViewModels.NavbarViewModel("Job"))
+
+    <ul class="nav nav-pills nav-justified">
+        <li role="presentation"
+            class="">
+            <a asp-controller="Job"
+               asp-action="Index">
+                Jobs
+            </a>
+        </li>
+        <li role="presentation"
+            class="active">
+            <a asp-controller="Job"
+               asp-action="Uploads">
+                Uploads
+            </a>
+        </li>
     </ul>
-    @if (Model.SelectedAlgorithm != null)
-    {
-        @Html.Partial("OpenFilePartials/_Algorithm", Model);
-
-    }
-    else if(Model.SelectedBatchRun != null)
-    {
-        @Html.Partial("OpenFilePartials/_BatchRun", Model);
-
-    }
-    else if(Model.SelectedExperiment != null)
-    {
-        @Html.Partial("OpenFilePartials/_Experiment", Model);
-
-    }
-
+    <div class="row"
+         style="margin-left:20px">
+        <a class="btn btn-default"
+           asp-controller="Job"
+           asp-action="Uploads">
+            <i class="fa fa-angle-double-left"></i> Back to uploads
+        </a>
+    </div>
+
+    <div class="col-md-9">
+        @if (Model.SelectedAlgorithm != null)
+        {
+            @Html.Partial("OpenFilePartials/_Algorithm", Model);
+
+        }
+        else if (Model.SelectedBatchRun != null)
+        {
+            @Html.Partial("OpenFilePartials/_BatchRun", Model);
+
+        }
+        else if (Model.SelectedExperiment != null)
+        {
+            @Html.Partial("OpenFilePartials/_Experiment", Model);
+
+        }
+
+        <hr style="border-color:gray; margin-top:50px" />
+        <div id="finish"
+             style="text-align:center">
+            <h2>
+                Hive job information
+            </h2>
+            <div class="row"
+                 style="margin-bottom:20px">
+
+                <div class="col-sm-6"
+                     style="text-align:right">
+                    <h5>Job name</h5>
+                </div>
+                <div class="col-sm-6"
+                     style="text-align:left">
+                    <div class="form-group">
+                        <div class="input-group">
+                            <input type="text"
+                                   class="form-control"
+                                   name="jname"
+                                   id="jname"
+                                   placeholder="Job name">
+                        </div>
+                    </div>
+                </div>
+            </div>
+            <div class="row"
+                 style="margin-bottom:20px">
+                <div class="col-sm-6"
+                     style="text-align:right">
+                    <h5>
+                        Resource
+                    </h5>
+                </div>
+                <div class="col-sm-6"
+                     style="text-align:left">
+                    <div class="form-group">
+                        <div class="input-group">
+                            <div class="input-group-addon">
+                                HEAL/
+                            </div>
+                            <input type="text"
+                                   class="form-control"
+                                   name="resource"
+                                   id="resource"
+                                   placeholder="Resource (default: HEAL)">
+                        </div>
+                    </div>
+                </div>
+            </div>
+
+            <div class="row">
+                <h5 class="col-sm-6"
+                    style="text-align:right;margin-top:20px">
+                    Set global job priority
+                </h5>
+                <div class="col-sm-6">
+                    <div class="btn-group pull-left"
+                         style="margin:10px; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;">
+                        <button type="button"
+                                id="prior"
+                                class="btn btn-info dropdown-toggle"
+                                data-toggle="dropdown"
+                                aria-haspopup="true" aria-expanded="false">
+                            Normal <span class="caret"></span>
+                        </button>
+                        <ul class="dropdown-menu"
+                            style="text-shadow:none">
+                            <li><a onclick="changePriority([],0,'')">Low</a></li>
+                            <li><a onclick="changePriority([],1,'')">Normal</a></li>
+                            <li><a onclick="changePriority([],2,'')">Urgent</a></li>
+                            <li><a onclick="changePriority([],3,'')">Critical</a></li>
+                        </ul>
+                    </div>
+                </div>
+            </div>
+
+
+            <a class="btn btn-lg btn-success"
+               id="fakehiveadd"
+               onclick="addtoHive()"
+               style="margin:10px; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;">
+                Add this job to Hive
+            </a>
+
+
+
+            <a class="btn btn-success " id="realhiveadd" asp-controller="Job" asp-action="AddToHive" style="display:none"></a>
+            <h4 id="result" style="display:none">Start uploading experiment...</h4>
+            <div class="progress" id="progdiv" style="display:none">
+
+                <div class="progress-bar progress-bar-success progress-bar-striped active" role="progressbar"
+                     id="progress"
+                     aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:10%">
+
+                </div>
+            </div>
+        </div>
+
+
+
+
+    </div>
+    <nav style="margin-top:50px; "
+         class="col-md-2" id="scrolly">
+        <ul class="nav nav-pills nav-stacked"
+            data-spy="affix"
+            data-offset-top="0">
+
+            <li><a href="#top">Top</a></li>
+            @if (Model.SelectedAlgorithm != null)
+            {
+                <li><a href="#algorithm">Algorithm parameters</a></li>
+                <li><a href="#problem">Problem parameters</a></li>
+            }
+            else
+            {
+                <li><a href="#tasks">Child tasks</a></li>
+
+            }
+            <li><a href="#finish">Job info and upload</a></li>
+        </ul>
+    </nav>
     <script src="~/js/scripts/hubber.js"></script>
-</div>
+    <script>
+        showScrolly = function () {
+            document.getElementById("scrolly").style.display = "";
+
+        }
+        $(function () {
+            $('nav > ul > li > a').click(function () {
+                if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
+                    var target = $(this.hash);
+                    target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
+                    if (target.length) {
+                        $('html, body').animate({
+                            scrollTop: target.offset().top
+                        }, 1000);
+                        return false;
+                    }
+                }
+            });
+        });
+    </script>
+</body>
+
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Algorithm.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Algorithm.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Algorithm.cshtml	(revision 13733)
@@ -8,74 +8,18 @@
         @Model.message
     </div>
-    <div class="row" style="text-align:left">
-        <h1 data-toggle="tooltip" title="@Model.SelectedTask.ItemTask.ItemName
+    <div class="row" style="text-align:center">
+        <h1 id="top" data-toggle="tooltip" title="@Model.SelectedTask.ItemTask.ItemName
             @Model.SelectedTask.ItemTask.Description">
             <span class="label label-primary">Algorithm: @Model.SelectedTask.ItemTask.Name</span>
         </h1>
-        <a class="btn btn-success" id="fakehiveadd" onclick="addtoHive()">Add to Hive</a>
-
-        <div class="btn-group">
-            <button 
-                    type="button" 
-                    id="prior@(randy)"
-                    class="btn btn-info dropdown-toggle" 
-                    data-toggle="dropdown" 
-                    aria-haspopup="true" aria-expanded="false">
-                Normal <span class="caret"></span>
-            </button>
-            <ul class="dropdown-menu">
-                <li><a onclick="changePriority([],0,@randy)">Low</a></li>
-                <li><a onclick="changePriority([],1,@randy)">Normal</a></li>
-                <li><a onclick="changePriority([],2,@randy)">Urgent</a></li>
-                <li><a onclick="changePriority([],3,@randy)">Critical</a></li>
-            </ul>
-        </div>
-
-
-        <a class="btn btn-success" id="realhiveadd" asp-controller="Job" asp-action="AddToHive" style="display:none"></a>
-        <h4 id="result" style="display:none">Start uploading algorithm...</h4>
-        <div class="progress" id="progdiv" style="display:none">
-            
-            <div class="progress-bar progress-bar-success progress-bar-striped active" role="progressbar"
-                 id="progress"
-                 aria-valuenow="00" aria-valuemin="0" aria-valuemax="100" style="width:10%">
-                40%
-            </div>
-        </div>
+        
     </div>
 
-    <div class="row">
-        <div class="btn-group-justified">
-            <a class="btn btn-default active" id="btnprob" onclick="setProb()">Problems</a>
-            <a class="btn btn-default" id="btnalg" onclick="setAlgo()">Algorithm</a>
-        </div>
-    </div>
-    <div class="row" id="problem">
-        <div class="col">
-            <table class="table table-condensed">
-                <thead>
-                    <tr>
-                        <th>Parameter</th>
-                        <th>Value</th>
-                    </tr>
-                </thead>
-                <tbody>
-                    @foreach (var prob in Model.SelectedAlgorithm.Problem.Parameters.OrderBy(x => x.Name))
-                    {
-                        <tr>
-                            <td>@prob.Name</td>
-
-                            <td>@prob.ActualValue</td>
-                        </tr>
-
-                    }
-                </tbody>
-            </table>
-        </div>
-    </div>
-    <div class="row" id="algorithm" style="display:none">
+    <div class="row" id="algorithm">
 
         <div class="col">
-            <table class="table table-condensed">
+            <h4>Algorithm parameters</h4>
+            <table class="table table-condensed"
+                   style="table-layout:fixed;overflow-wrap:break-word">
                 <thead>
                     <tr>
@@ -99,28 +43,38 @@
 
     </div>
+    <hr style="border-color:gray" />
+
+    <div class="row" id="problem">
+        <div class="col">
+            <h4>Problem parameters</h4>
+            <table class="table table-condensed"
+                   style="table-layout:fixed;overflow-wrap:break-word">
+                <thead>
+                    <tr>
+                        <th>Parameter</th>
+                        <th>Value</th>
+                    </tr>
+                </thead>
+                <tbody>
+                    @foreach (var prob in Model.SelectedAlgorithm.Problem.Parameters.OrderBy(x => x.Name))
+                    {
+                        <tr>
+                            <td>@prob.Name</td>
+
+                            <td>@prob.ActualValue</td>
+                        </tr>
+
+                    }
+                </tbody>
+            </table>
+        </div>
+    </div>
+    
+    
     <script type="text/javascript">
-        
-        function setProb() {
-            resetAll();
-            document.getElementById("problem").style.display = "";
-            document.getElementById("btnprob").className += " active";
-
-        }
-        function setAlgo() {
-            resetAll();
-            document.getElementById("algorithm").style.display = "";
-            document.getElementById("btnalg").className += " active";
-        }
-
-
-        function resetAll() {
-            document.getElementById("problem").style.display = "none";
-            document.getElementById("algorithm").style.display = "none";
-            document.getElementById("btnprob").className = document.getElementById("btnprob").className.replace(/(?:^|\s)active(?!\S)/g, '');
-            document.getElementById("btnalg").className = document.getElementById("btnalg").className.replace(/(?:^|\s)active(?!\S)/g, '');
-        }
         $(document).ready(function () {
             $('[data-toggle="tooltip"]').tooltip();
         });
     </script>
+
 </div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_AlgorithmSmall.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_AlgorithmSmall.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_AlgorithmSmall.cshtml	(revision 13733)
@@ -13,18 +13,26 @@
        href="#collapseExample@(randomal)"
        aria-expanded="false"
-       aria-controls="collapseExample@(randomal)">
+       aria-controls="collapseExample@(randomal)"
+       style="margin:10px; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;">
         @Model.algo.Name
     </a>
-    
+
 </p>
-<div class="collapse" id="collapseExample@(randomal)" style="margin-left:10px;margin-right:10px;margin-top:-10px">
+<div class="collapse"
+     id="collapseExample@(randomal)"
+     style="margin-left:10px;margin-right:10px;margin-top:-10px">
+
     <img src="~/img/accoladealg.png" style="width:100%;" />
-    <div class="panel panel-primary" style="border-width:2px!important;
-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
-text-shadow:none">
+
+    <div class="panel panel-primary"
+         style="border-width:2px!important;
+        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+        text-shadow:none">
         <div class="panel-heading panel-primary text-center">
             <p>@Model.algo.Description</p>
 
-            <div class="btn-group">
+            <div class="btn-group"
+                 style="text-shadow:none">
                 <button type="button"
                         id="prior@(randomal)"
@@ -42,5 +50,29 @@
             </div>
         </div>
-        <table class="table table-responsive card-block" style="table-layout:fixed;overflow-wrap:break-word">
+        <h4>Algorithm parameters</h4>
+        <table class="table table-condensed"
+               style="table-layout:fixed;overflow-wrap:break-word">
+            <thead>
+                <tr>
+                    <th>Parameter</th>
+                    <th>Value</th>
+                </tr>
+            </thead>
+            <tbody>
+                @foreach (var par in Model.algo.Parameters.OrderBy(x => x.Name))
+                {
+                    <tr>
+                        <td>@par.Name</td>
+
+                        <td>@par.ActualValue</td>
+                    </tr>
+
+                }
+            </tbody>
+        </table>
+        <hr style="border-color:gray" />
+        <h4>Problem parameters</h4>
+        <table class="table table-responsive card-block"
+               style="table-layout:fixed;overflow-wrap:break-word">
             <thead>
                 <tr>
@@ -61,23 +93,6 @@
             </tbody>
         </table>
-        <table class="table table-condensed" style="table-layout:fixed;overflow-wrap:break-word">
-            <thead>
-                <tr>
-                    <th>Parameter</th>
-                    <th>Value</th>
-                </tr>
-            </thead>
-            <tbody>
-                @foreach (var par in Model.algo.Parameters.OrderBy(x => x.Name))
-                {
-                    <tr>
-                        <td>@par.Name</td>
 
-                        <td>@par.ActualValue</td>
-                    </tr>
 
-                }
-            </tbody>
-        </table>
     </div>
 </div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRun.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRun.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRun.cshtml	(revision 13733)
@@ -6,44 +6,25 @@
         @Model.message
     </div>
-    <div class="row" style="text-align:left">
-        <h1 data-toggle="tooltip" title="@Model.SelectedTask.ItemTask.ItemName
+    <div class="row"
+         style="text-align:center">
+        <h1 id="top"
+            data-toggle="tooltip"
+            title="@Model.SelectedTask.ItemTask.ItemName
             @Model.SelectedTask.ItemTask.Description ">
-            <span class="label label-warning ">Batch: @Model.SelectedBatchRun.Name</span>
+            <span class="label label-warning "
+                  style="text-shadow:2px 2px black;">
+                Batch: @Model.SelectedBatchRun.Name
+            </span>
         </h1>
-        <a class="btn btn-success" id="fakehiveadd" onclick="addtoHive()">Add to Hive</a>
-
-        <div class="btn-group">
-            <button type="button"
-                    id="prior@(randy)"
-                    class="btn btn-info dropdown-toggle"
-                    data-toggle="dropdown"
-                    aria-haspopup="true" aria-expanded="false">
-                Normal <span class="caret"></span>
-            </button>
-            <ul class="dropdown-menu">
-                <li><a onclick="changePriority([],0,@randy)">Low</a></li>
-                <li><a onclick="changePriority([],1,@randy)">Normal</a></li>
-                <li><a onclick="changePriority([],2,@randy)">Urgent</a></li>
-                <li><a onclick="changePriority([],3,@randy)">Critical</a></li>
-            </ul>
-        </div>
-
-        <a class="btn btn-success" id="realhiveadd" asp-controller="Job" asp-action="AddToHive" style="display:none"></a>
-        <h4 id="result" style="display:none">Start uploading batch run...</h4>
-        <div class="progress" id="progdiv" style="display:none">
-
-            <div class="progress-bar progress-bar-success progress-bar-striped active" role="progressbar"
-                 id="progress"
-                 aria-valuenow="00" aria-valuemin="0" aria-valuemax="100" style="width:10%">
-                40%
-            </div>
-        </div>
     </div>
-    <h4>
+    <h4 id="tasks">
         Repeats: @Model.SelectedBatchRun.Repetitions x
 
     </h4>
     <p class="text-center">
-        <input type="checkbox" checked data-toggle="toggle" data-onstyle="warning"
+        <input type="checkbox"
+               checked
+               data-toggle="toggle"
+               data-onstyle="warning"
                onchange="toggleChild([], @randy)" />
         Distribute child tasks
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRunSmall.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRunSmall.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRunSmall.cshtml	(revision 13733)
@@ -16,5 +16,7 @@
        href="#collapseExample@(randombr)"
        aria-expanded="false"
-       aria-controls="collapseExample@(randombr)">
+       aria-controls="collapseExample@(randombr)"
+        style="margin:10px; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;">
         @Model.batch.Name
     </a>
@@ -26,9 +28,11 @@
      
      >
-    <img src="~/img/accoladebatch.png" style="width:100%" />
+    <img src="~/img/accoladebatch.png" 
+         style="width:100%" />
+
     <div class="panel panel-warning" 
          style="border-color:#f6cd94!important; border-width:2px!important;
-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
-text-shadow:2px 2px black">
+            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+            text-shadow:2px 2px black">
         <div class="panel-heading  text-center">
             <p class="panel-title">
@@ -38,15 +42,21 @@
 
 
-                <input type="checkbox" checked data-toggle="toggle" data-onstyle="warning"
+                <input type="checkbox" 
+                       checked 
+                       data-toggle="toggle" 
+                       data-onstyle="warning"
                        onchange="toggleChild(@builder, @randombr)" />
                 Distribute child tasks
 
             </p>
-            <div class="btn-group">
+            <div class="btn-group" 
+                 style="text-shadow:none">
+
                 <button type="button"
                         id="prior@(randombr)"
                         class="btn btn-info dropdown-toggle"
                         data-toggle="dropdown"
-                        aria-haspopup="true" aria-expanded="false">
+                        aria-haspopup="true" 
+                        aria-expanded="false">
                     Normal <span class="caret"></span>
                 </button>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Experiment.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Experiment.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Experiment.cshtml	(revision 13733)
@@ -2,43 +2,23 @@
 @{System.Random randomizer = new Random();
     int randy = randomizer.Next(5000); }
-<div style="margin-left:20px;margin-right:20px">
+
+
+<div style="margin-left:20px;margin-right:20px; ">
     <div class="row" style="text-align:center">
         @Model.message
     </div>
-    <div class="row" style="text-align:left">
-        <h1 data-toggle="tooltip" title=" @Model.SelectedTask.ItemTask.ItemName
+    <div class="row" style="text-align:center">
+        <h1 id="top"
+            data-toggle="tooltip"
+            title=" @Model.SelectedTask.ItemTask.ItemName
             @Model.SelectedTask.ItemTask.Description ">
-            <span class="label label-danger">Experiment: @Model.SelectedTask.ItemTask.Name</span>
+            <span class="label label-danger"
+                  style="text-shadow:2px 2px black;">
+                Experiment: @Model.SelectedTask.ItemTask.Name
+            </span>
         </h1>
-        <a class="btn btn-success" id="fakehiveadd" onclick="addtoHive()">Add to Hive</a>
 
-
-        <div class="btn-group">
-            <button type="button"
-                    id="prior@(randy)"
-                    class="btn btn-info dropdown-toggle"
-                    data-toggle="dropdown"
-                    aria-haspopup="true" aria-expanded="false">
-                Normal <span class="caret"></span>
-            </button>
-            <ul class="dropdown-menu">
-                <li><a onclick="changePriority([],0,@randy)">Low</a></li>
-                <li><a onclick="changePriority([],1,@randy)">Normal</a></li>
-                <li><a onclick="changePriority([],2,@randy)">Urgent</a></li>
-                <li><a onclick="changePriority([],3,@randy)">Critical</a></li>
-            </ul>
-        </div>
-        <a class="btn btn-success" id="realhiveadd" asp-controller="Job" asp-action="AddToHive" style="display:none"></a>
-        <h4 id="result" style="display:none">Start uploading experiment...</h4>
-        <div class="progress" id="progdiv" style="display:none">
-
-            <div class="progress-bar progress-bar-success progress-bar-striped active" role="progressbar"
-                 id="progress"
-                 aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:10%">
-
-            </div>
-        </div>
     </div>
-    <h4>
+    <h4 id="tasks">
         Children: @Model.SelectedExperiment.Optimizers.Count
     </h4>
@@ -84,4 +64,5 @@
         }
     </div>
+
     <script type="text/javascript">
 
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_ExperimentSmall.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_ExperimentSmall.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_ExperimentSmall.cshtml	(revision 13733)
@@ -13,25 +13,40 @@
        href="#collapseExample@(randomex)"
        aria-expanded="false"
-       aria-controls="collapseExample@(randomex)">
+       aria-controls="collapseExample@(randomex)"
+       style="margin:10px; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;">
         @Model.exp.Name
     </a>
 
 </p>
-<div class="collapse" id="collapseExample@(randomex)" style="margin-left:10px;margin-right:10px;margin-top:-10px">
-    <img src="~/img/accoladeexp.png" style="width:100%" />
-    <div class="panel panel-danger" style="border-color:#c12e2a!important; border-width:2px!important;
-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
-text-shadow:2px 2px black">
+<div class="collapse"
+     id="collapseExample@(randomex)"
+     style="margin-left:10px;margin-right:10px;margin-top:-10px">
+
+    <img src="~/img/accoladeexp.png"
+         style="width:100%" />
+
+    <div class="panel panel-danger"
+         style="border-color:#c12e2a!important; border-width:2px!important;
+        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+        text-shadow:2px 2px black">
+
         <div class="panel-heading panel-danger text-center">
-            <p class="panel-title">Children: @Model.exp.Optimizers.Count</p>
+            <p class="panel-title">
+                Children: @Model.exp.Optimizers.Count
+            </p>
             <p>
                 <label>
 
-                    <input type="checkbox" checked data-toggle="toggle" data-onstyle="danger"
+                    <input type="checkbox"
+                           checked
+                           data-toggle="toggle"
+                           data-onstyle="danger"
                            onchange="toggleChild(@builder, @randomex)" />
                     Distribute child tasks
                 </label>
             </p>
-            <div class="btn-group">
+            <div class="btn-group"
+                 style="text-shadow:none">
                 <button type="button"
                         id="prior@(randomex)"
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_AlgTask.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_AlgTask.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_AlgTask.cshtml	(revision 13733)
@@ -5,4 +5,12 @@
 box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
 text-shadow:2px 2px black">
+
+    <script type="text/javascript">//Has to be up front to ensure right order of javascript array
+        initSaveData("@(Model.hiveTask.Task.Id)",
+            @Html.Raw(JsonConvert.SerializeObject(Model.hiveTask.Task.StateLog)), "@(Model.hiveTask.ItemTask.Name)");
+
+    </script>
+
+
     <div class="panel-heading"
          data-toggle="collapse"
@@ -55,7 +63,19 @@
                 </tr>
                 <tr>
-                    <td></td>
+                    <td style="word-break:break-all" id="exceptionpar@(Model.hiveTask.Task.Id)">
+                        <i class="fa fa-cog fa-spin fa-2x" id="spinner"></i>
+                    </td>
                     <td id="statechangespar@(Model.hiveTask.Task.Id)">
                         <i class="fa fa-cog fa-spin fa-2x" id="spinner"></i>
+                    </td>
+                </tr>
+                <tr style="display:none" id="restarter@(Model.hiveTask.Task.Id)">
+                    <td><input style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;"
+                               id="restarterbtn@(Model.hiveTask.Task.Id)"
+                               class="btn btn-success" 
+                               type="button" 
+                               onclick="restart('@(Model.hiveTask.Task.Id)');event.cancelBubble=true;"
+                               value="Restart task"/>
                     </td>
                 </tr>
@@ -69,5 +89,5 @@
                    type="checkbox"
                    data-toggle="toggle"
-                   data-on="Line"
+                   data-on="Bar"
                    data-off="Pie"
                    onchange="redrawGraph('@(Model.hiveTask.Task.Id)')" />
@@ -78,12 +98,4 @@
         </div>
     </div>
-    <script type="text/javascript">
-        initSaveData("@(Model.hiveTask.Task.Id)",
-            @Html.Raw(JsonConvert.SerializeObject(Model.hiveTask.Task.StateLog)));
-
-        document.getElementById("graph@(Model.hiveTask.Task.Id)").style = "width: 100%; height: 400px;";
-
-        Plotly.newPlot('graph@(Model.hiveTask.Task.Id)',
-            getDataPie("@Model.hiveTask.Task.Id"));
-    </script>
+    
 </div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_BatchTask.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_BatchTask.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_BatchTask.cshtml	(revision 13733)
@@ -4,4 +4,12 @@
 box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
 text-shadow:2px 2px black">
+
+    <script type="text/javascript">        //Has to be up front to ensure right order of javascript array
+        initSaveData("@(Model.hiveTask.Task.Id)",
+            @Html.Raw(JsonConvert.SerializeObject(Model.hiveTask.Task.StateLog)), "@(Model.hiveTask.ItemTask.Name)");
+
+    </script>
+
+
     <div class="panel-heading"
          data-toggle="collapse"
@@ -14,5 +22,5 @@
                 <tr>
                     <th>Batch run: @Model.hiveTask.ItemTask.Name</th>
-                    <th style="font-size:large">
+                    <th style="font-size:large; ">
                         @if (Model.hiveTask.Task.Priority == 0)
                         {
@@ -65,4 +73,21 @@
                         <i class="fa fa-cog fa-spin fa-2x" id="spinner"></i>
                     </td>
+                    
+                </tr>
+                <tr>
+                    <td style="word-break:break-all" id="exceptionpar@(Model.hiveTask.Task.Id)">
+                        <i class="fa fa-cog fa-spin fa-2x" id="spinner"></i>
+                    </td>
+                </tr>
+                <tr style="display:none" id="restarter@(Model.hiveTask.Task.Id)">
+                    <td>
+                        <input style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;"
+                               id="restarterbtn@(Model.hiveTask.Task.Id)"
+                               class="btn btn-success"
+                               type="button"
+                               onclick="restart('@(Model.hiveTask.Task.Id)');event.cancelBubble=true;" 
+                               value="Restart task"/>
+                    </td>
                 </tr>
             </tbody>
@@ -74,5 +99,5 @@
                    type="checkbox"
                    data-toggle="toggle"
-                   data-on="Line"
+                   data-on="Bar"
                    data-off="Pie"
                    onchange="redrawGraph('@(Model.hiveTask.Task.Id)')">
@@ -94,13 +119,4 @@
         </div>
     }
-    <script type="text/javascript">
-        initSaveData("@(Model.hiveTask.Task.Id)",
-            @Html.Raw(JsonConvert.SerializeObject(Model.hiveTask.Task.StateLog)));
-
-        document.getElementById("graph@(Model.hiveTask.Task.Id)").style = "width: 100%; height: 400px;";
-
-        Plotly.newPlot('graph@(Model.hiveTask.Task.Id)',
-            getData("@Model.hiveTask.Task.Id"));
-
-    </script>
+    
 </div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_ExpTask.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_ExpTask.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_ExpTask.cshtml	(revision 13733)
@@ -7,4 +7,13 @@
 text-shadow:2px 2px black"
      >
+
+    
+    <script type="text/javascript">//Has to be up front to ensure right order of javascript array
+        initSaveData("@(Model.hiveTask.Task.Id)",
+            @Html.Raw(JsonConvert.SerializeObject(Model.hiveTask.Task.StateLog)), "@(Model.hiveTask.ItemTask.Name)");
+
+    </script>
+
+
     <div class="panel-heading"
          data-toggle="collapse"
@@ -68,4 +77,18 @@
                     </td>
                 </tr>
+                <tr >
+                    <td style="display:none" id="restarter@(Model.hiveTask.Task.Id)">
+                        <input style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;"
+                               id="restarterbtn@(Model.hiveTask.Task.Id)"
+                               class="btn btn-success"
+                               type="button"
+                               onclick="restart('@(Model.hiveTask.Task.Id)');event.cancelBubble=true;"
+                               value="Restart task" />
+                    </td>
+                    <td style="word-break:break-all" id="exceptionpar@(Model.hiveTask.Task.Id)">
+                        <i class="fa fa-cog fa-spin fa-2x" id="spinner"></i>
+                    </td>
+                </tr>
             </tbody>
         </table>
@@ -77,5 +100,5 @@
                    data-toggle="toggle"
                    
-                   data-on="Line"
+                   data-on="Bar"
                    data-off="Pie"
                    onchange="redrawGraph('@(Model.hiveTask.Task.Id)')">
@@ -97,12 +120,4 @@
         </div>
     }
-    <script type="text/javascript">
-        initSaveData("@(Model.hiveTask.Task.Id)",
-            @Html.Raw(JsonConvert.SerializeObject(Model.hiveTask.Task.StateLog)));
-
-        document.getElementById("graph@(Model.hiveTask.Task.Id)").style = "width: 100%!important; height: 400px;";
-
-        Plotly.newPlot('graph@(Model.hiveTask.Task.Id)',
-            getData("@Model.hiveTask.Task.Id"));
-    </script>
+    
 </div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Upload.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Upload.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Upload.cshtml	(revision 13733)
@@ -3,19 +3,41 @@
 <div>
 
-    <ul class="nav nav-tabs">
-        <li role="presentation" class="active"><a asp-controller="Job" asp-action="Index">Jobs <span class="badge"></span></a></li>
-        <li role="presentation"><a asp-controller="User" asp-action="Index">User management</a></li>
-        <li role="presentation"><a asp-controller="Resource" asp-action="Index">Resources</a></li>
-    </ul>
+    @Html.Partial("Navbar", new HeuristicLab.Clients.Hive.WebJobManager.ViewModels.NavbarViewModel("Job"))
+
+
     <div style="margin:10px">
-        <form method="post" asp-action="Upload" asp-controller="Job" enctype="multipart/form-data">
-            <input onchange="printFiles()" type="file" id="files" name="files" multiple accept=".hl" style="display:none" />
-            <div onclick="firefilebutton()" class="btn btn-info btn-lg btn-block  ">Choose file(s)</div>
-            <div class="row" style="margin:10px">
+
+        <form method="post"
+              asp-action="Upload"
+              asp-controller="Job"
+              enctype="multipart/form-data">
+            <input onchange="printFiles()"
+                   type="file"
+                   id="files"
+                   name="files"
+                   multiple
+                   accept=".hl"
+                   style="display:none" />
+
+            <div onclick="firefilebutton()"
+                 class="btn btn-info btn-lg btn-block  ">
+                Choose file(s)
+            </div>
+
+            <div class="row"
+                 style="margin:10px">
                 <div id="selectedfiles"></div>
-                   <div style="visibility:hidden;  margin-bottom:10px;" id="del" class='btn btn-danger' onclick='deletefiles()'>
-                    <span class='glyphicon glyphicon-trash' aria-hidden='true'></span>  Remove files
+                <div style="visibility:hidden;  margin-bottom:10px;"
+                     id="del"
+                     class='btn btn-danger'
+                     onclick='deletefiles()'>
+                    <span class='glyphicon glyphicon-trash'
+                          aria-hidden='true'></span>  Remove files
                 </div>
-                <input style="visibility:hidden;" id="upl" class="btn btn-lg btn-block btn-success" type="submit" value="Check contents" />
+                <input style="visibility:hidden;"
+                       id="upl"
+                       class="btn btn-lg btn-block btn-success"
+                       type="submit"
+                       value="Check contents" />
             </div>
 
@@ -37,7 +59,7 @@
                         "</p>";
                 }
-                
+
             }
-            else{
+            else {
                 document.getElementById("upl").style.visibility = "hidden";
                 document.getElementById("del").style.visibility = "hidden";
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/UploaderPartial/_UploaderPartial.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/UploaderPartial/_UploaderPartial.cshtml	(revision 13733)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/UploaderPartial/_UploaderPartial.cshtml	(revision 13733)
@@ -0,0 +1,101 @@
+﻿
+
+
+<div class="panel panel-default"
+     style="border-width:2px!important;padding:17px;
+                        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);">
+
+    <form method="post" 
+          asp-action="Uploader" 
+          asp-controller="Job" enctype="multipart/form-data">
+        <input onchange="printFiles()"
+               type="file"
+               id="files"
+               name="files"
+               multiple accept=".hl"
+               style="display:none" />
+
+        <div onclick="firefilebutton()"
+             class="btn btn-info btn-lg btn-block"
+             style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;">
+            <i class="fa fa-folder-open-o"></i> Choose file(s) to upload to the server
+        </div>
+
+        <div class="row" style="margin:10px">
+
+            <div id="selectedfiles"></div>
+
+            <div style="display:none; margin-bottom:10px; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;"
+                 id="del"
+                 class='btn btn-danger'
+                 onclick='deletefiles()'>
+                <span class='glyphicon glyphicon-trash' aria-hidden='true'></span>
+                Remove files
+            </div>
+
+            <div id="dir"
+                 style="display:none; margin-top:20px;margin-bottom:20px">
+
+                <label for="basic-url">Directory name</label>
+                <div class="input-group">
+                    <span class="input-group-addon"
+                          id="basic-addon3">
+                        .../uploads/@ViewBag.Name
+                    </span>
+                    <input type="text"
+                           class="form-control"
+                           id="directory"
+                           name="directory"
+                           aria-describedby="basic-addon3"
+                           value="@(DateTime.Now.ToString("yyyy.MM.dd"))" />
+                </div>
+            </div>
+            <button style="display:none; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;"
+                   id="upl"
+                   class="btn btn-lg btn-block btn-success"
+                   type="submit"
+                    >
+                <i class="fa fa-plus-square"></i> Add to uploads
+                </button>
+        </div>
+
+    </form>
+</div>
+
+<script type="text/javascript">
+    function printFiles() {
+        var div = document.getElementById("selectedfiles");
+        var files = document.getElementById("files").files;
+        div.innerHTML = "";
+        if (files.length > 0) {
+            document.getElementById("upl").style.display = "";
+            document.getElementById("del").style.display = "";
+            document.getElementById("dir").style.display = "";
+
+            div.innerHTML += "<h3>Files</h3>";
+            for (var i = 0; i < files.length; i++) {
+                div.innerHTML += "<p>File " + (i + 1) + ":" + files[i].name +
+                    "</p>";
+            }
+
+        }
+        else {
+            document.getElementById("upl").style.display = "none";
+            document.getElementById("del").style.display = "none";
+            document.getElementById("dir").style.display = "none";
+        }
+
+    }
+    function firefilebutton() {
+        document.getElementById("files").click();
+
+    }
+    function deletefiles() {
+        var filesarr = document.getElementById("files").files;
+        document.getElementById("files").value = "";
+        printFiles();
+    }
+</script>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Uploads.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Uploads.cshtml	(revision 13719)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/Uploads.cshtml	(revision 13733)
@@ -3,18 +3,25 @@
 <div>
 
-    <ul class="nav nav-tabs">
-        <li role="presentation" class="active"><a asp-controller="Job" asp-action="Index">Jobs -> Uploads</a></li>
-        <li role="presentation"><a asp-controller="User" asp-action="Index">User management</a></li>
-        <li role="presentation"><a asp-controller="Resource" asp-action="Index">Resources</a></li>
+    @Html.Partial("Navbar", new HeuristicLab.Clients.Hive.WebJobManager.ViewModels.NavbarViewModel("Job"))
+
+    <ul class="nav nav-pills nav-justified">
+        <li role="presentation"
+            class="">
+            <a asp-controller="Job"
+               asp-action="Index">
+                Jobs
+            </a>
+        </li>
+        <li role="presentation"
+            class="active">
+            <a asp-controller="Job"
+               asp-action="Uploads">
+                Uploads
+            </a>
+        </li>
     </ul>
-    <div class="row" style="text-align:center">
-        @Model.message
-    </div>
     <div class="row" style="margin:10px">
-        <a class="btn btn-success btn-lg btn-block"
-           asp-controller="Job"
-           asp-action="Uploader">
-            Upload new file(s)
-        </a>
+        <div style="text-align:center">@Model.message</div>
+
     </div>
     <div class="row" style="padding:10px">
@@ -22,5 +29,14 @@
         {
             <div>
-                <p style="text-align:center">No files uploaded</p>
+                <p style="text-align:center">
+                    No files uploaded
+                </p>
+                <a class="btn btn-success btn-lg btn-block"
+                   asp-controller="Job"
+                   asp-action="Uploader"
+                   style="margin:10px; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;">
+                    <i class="fa fa-cloud-upload"></i> Upload new file(s)
+                </a>
             </div>
 
@@ -29,10 +45,23 @@
             <div class="col-sm-4">
                 <div class="btn-group-vertical btn-block">
+                    <a class="btn btn-success btn-lg btn-block
+                       @(Model.SelectedIndex == -1 ? "active" : "")
+                       "
+                       asp-controller="Job"
+                       asp-action="UploadDir"
+                       asp-route-index="-1"
+                       onclick="showUploader()"
+                       style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;">
+                        <i class="fa fa-cloud-upload"></i> Upload new file(s)
+                    </a>
                     @for (int i = 0; i < Model.DisplayDatePaths.Count; i++)
                     {
                         <a class="btn  btn-default @(i == Model.SelectedIndex ? "active" : "" )"
+                           style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);"
                            asp-controller="Job"
                            asp-action="UploadDir"
-                           asp-route-index="@(i)">
+                           asp-route-index="@(i)"
+                           onclick="showDownloader()">
                             @Model.DisplayDatePaths[i]
                         </a>
@@ -41,37 +70,86 @@
                 </div>
             </div>
-            @if (Model.SelectedIndex != -1)
-            {
-                <div class="col-sm-8">
+            <p style="display:none"
+               id="downloader"
+               class="text-center">
+                <br /><br /><br /><br /><br /><br /><br />
+                <i class="fa fa-cloud-download fa-spin fa-5x" id="spinner">
+                </i>
+            </p>
+            <p style="display:none"
+               id="uploader"
+               class="text-center">
+                <br /><br /><br /><br /><br /><br /><br />
+                <i class="fa fa-cloud-upload fa-spin fa-5x" id="spinner">
+                </i>
+            </p>
+            <p style="display:none"
+               id="deleter"
+               class="text-center">
+                <br /><br /><br /><br /><br /><br /><br />
+                <i class="fa fa-trash-o fa-spin fa-5x" id="spinner">
+                </i>
+            </p>
+            <div id="content">
+                @if (Model.SelectedIndex != -1)
+                {
+                    <div class="col-sm-8">
 
-                    @for (int i = 0; i < Model.DisplayFilesPaths.Count; i++)
+                        @for (int i = 0; i < Model.DisplayFilesPaths.Count; i++)
                     {
-                        <div class="btn-group-justified btn-block">
+                            <div class="btn-group-justified btn-block">
 
-                            <a class="btn btn-default @(Model.DisplayFilesPaths[i].EndsWith(".hl") ? "" : "disabled" )"
-                               asp-controller="Job"
-                               asp-action="OpenFile"
-                               asp-route-index="@(Model.SelectedIndex)"
-                               asp-route-filedex="@i"
-                               style="width:6%">
-                                @Model.DisplayFilesPaths[i]
-                            </a>
-                            <a id="del" 
-                               class='btn btn-group btn-danger' 
-                               asp-controller="Job"
-                               asp-action="DeleteFile"
-                               asp-route-index="@(Model.SelectedIndex)"
-                               asp-route-filedex="@i" >
-                                <span class='glyphicon glyphicon-trash' aria-hidden='true'></span>
-                            </a>
-                        </div>
-                    }
+                                <a class="btn btn-default @(Model.DisplayFilesPaths[i].EndsWith(".hl") ? "" : "disabled" )"
+                                   asp-controller="Job"
+                                   asp-action="OpenFile"
+                                   asp-route-index="@(Model.SelectedIndex)"
+                                   asp-route-filedex="@i"
+                                   style="width:6%;box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);">
+                                    @Model.DisplayFilesPaths[i]
+                                </a>
+                                <a id="del"
+                                   style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
+                            text-shadow:2px 2px black;"
+                                   class='btn btn-group btn-danger'
+                                   asp-controller="Job"
+                                   asp-action="DeleteFile"
+                                   asp-route-index="@(Model.SelectedIndex)"
+                                   asp-route-filedex="@i"
+                                   onclick="showDeleter()">
+                                    <span class='glyphicon glyphicon-trash' aria-hidden='true'></span>
+                                </a>
+                            </div>
+                        }
 
 
-                </div>
+                    </div>
 
-            }
+                }
+                else
+                {
+                    <div class="col-sm-8">
+
+                        @Html.Partial("UploaderPartial/_UploaderPartial")
+                    </div>
+                }
+            </div>
 
         }
     </div>
+    <script type="text/javascript">
+        function showDownloader() {
+            document.getElementById("content").style.display = "none";
+            document.getElementById("downloader").style.display = "";
+
+        }
+        function showUploader() {
+            document.getElementById("content").style.display = "none";
+            document.getElementById("uploader").style.display = "";
+
+        }
+        function showDeleter() {
+            document.getElementById("content").style.display = "none";
+            document.getElementById("deleter").style.display = "";
+        }
+    </script>
 </div>
